import time
import sys
import random
import string
import zipfile

time.sleep(5)

print("hello this is test2 lul")


def generate_random_text(length):
    """Generiert einen zufälligen Text mit der angegebenen Länge"""
    letters = string.ascii_lowercase
    return ''.join(random.choice(letters) for _ in range(length))


def create_zip_file(file_name, text_length):
    """Erstellt eine Zip-Datei mit einer Textdatei mit zufälligem Text"""
    random_text = generate_random_text(text_length)

    with open('random_text.txt', 'w') as file:
        file.write(random_text)

    with zipfile.ZipFile(file_name, 'w') as zip_file:
        zip_file.write('random_text.txt')

    print(f'Die Zip-Datei "{file_name}" wurde erfolgreich erstellt.')


# Beispielaufruf
create_zip_file('random_text.zip', 100)
